/**
 * @(#)ButtonFace.java	2.2 11/25/96 Rodney Ryan (rer@interport.net)
 *
 * Copyright (c) 1996 Rodney Ryan, All Rights Reserved.
 *
 */

package RouterLayer.AgentClient.Example.RCApplet.extawt;

import java.awt.*;

/**
 * This interface provides a face for an instance of JavaButton.
 *
 * @author 	Rodney Ryan (rer@interport.net)
 * @version 	2.2 11/25/96
 *
 */
public interface ButtonFace
{

    /**
    * Paints the face.
    * @param g the Graphics
    * @param disabled the button's disabled status
    * @param pressed the button's pressed status
    */
    public void paint(Graphics g,
                      boolean  disabled,
                      boolean  pressed);

    /**
    * Returns the size of the ButtonFace.
    */
    public Dimension size();
}